Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1934534 - Rebase OpenSSL to 1.1.1k
Summary: Rebase OpenSSL to 1.1.1k
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: openssl
Version: 8.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Sahana Prasad
QA Contact: Ivan Nikolchev
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-03 12:52 UTC by Sahana Prasad
Modified: 2021-11-10 08:46 UTC (History)
2 users (show)

Fixed In Version: openssl-1.1.1k-4.el8
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-09 19:44:31 UTC
Type: Bug
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openssl openssl issues 16075 0 None open OpenSSL regression when a servername callback is set 2021-07-14 13:54:30 UTC
Red Hat Issue Tracker CRYPTO-5279 0 None None None 2021-11-09 19:56:04 UTC
Red Hat Product Errata RHSA-2021:4424 0 None None None 2021-11-09 19:45:06 UTC

Description Sahana Prasad 2021-03-03 12:52:33 UTC
Rebase to 1.1.1j will fix the following low and moderate CVEs
CVE-2021-23841
CVE-2021-23839
CVE-2021-23840

Comment 14 Sahana Prasad 2021-06-24 07:41:37 UTC
We had one failed QA, 2 new regressions and 1 backporting required to finish this rebase.
Moving dev ITM to 17, (might take another 1/2 extra days in ITM 18).
QE ITM to 19 (discussed with szidek on #crypto)

Comment 20 errata-xmlrpc 2021-11-09 19:44:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: openssl security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4424


Note You need to log in before you can comment on or make changes to this bug.